Subject: Re: bug#66285: suggestion: change definition of hycontrol--blank-buffer to something more meaningful

From: Mats Lidell <[email-masked]>
Date: Thu, 21 Mar 2024 23:55:15 +0100

> Dan Drake writes:
> Hello,
>
> A while back I posted this emacs.stackexchange question, about a mysterious buffer named BLANK which always appeared when I started emacs:
> https://emacs.stackexchange.com/q/78601/19526
>
> Today I figured out the source: see my answer to that question.
>
> It's still not clear how this BLANK buffer was getting created on startup, since I have no idea how hycontrol-window-display-buffer was getting called,
> but I'd like to suggest that the name of that blank buffer be changed to something that makes its source and purpose more obvious. Perhaps
>
> (defvar hycontrol--blank-buffer (get-buffer-create " *hycontrol--blank-buffer*")
>
> ? Any user who does hycontrol-windows-grid and triggers that will see the extra buffers with that name, and if such buffers just show up in the buffer
> list, it'll be obvious that they can safely be killed.
>
> I don't have any strong feelings about the name, just something more helpful and meaningful -- and searchable! -- than "BLANK".
>
> Regards,
>
> Dan
>
> -- 
> Ceci n'est pas une .signature.

Thanks for the suggestion. The variable `hycontrol-blank-buffer-name' has been
introduced with commit 31d4095. Is is customizable and defaults to " BLANK". It
will be part of the next release of Hyperbole and is available from elpa-devel
archive.

Yours
-- 
%% Mats